package net.minecraft.src.ic2.api;

import net.minecraft.src.World;

/**
 * Interface to be implemented for all sorts of TFBP
 * @author Alblaka
 */
public interface ITerraformingBP
{
	/**
	 * @return energy consume per Operation (< 100000)
	 */
	public abstract int getConsume();
	/**
	 * Should be %5==0
	 * @return maximum range in blocks
	 */
	public abstract int getRange();
	
	/**
	 * Perform the terraforming operation on the given x/z coordinates. yCoord is the height of the Terraformer itself
	 * Use some of the static terraformer methods if necessary.
	 * @return true if terraform successfull and energy should be consumed
	 */
	public abstract boolean terraform(World world, int x, int z, int yCoord);
}
